Subject: Re: Mercurial 0.4b vs git patchbomb benchmark

From: Daniel Jacobowitz <[email-masked]>
Date: Mon, 2 May 2005 13:18:02 -0400

On Mon, May 02, 2005 at 09:31:06AM -0700, Linus Torvalds wrote:
> It's not about environment.
> 
> It's about the fact that many people have things like python in
> /usr/local/bin/python, because they compiled it themselves or similar.
> 
> Pretty much the only path you can _really_ depend on for #! stuff is 
> /bin/sh.
> 
> Any system that doesn't have /bin/sh is so fucked up that it's not worth
> worrying about. Anything else can be in /bin, /usr/bin or /usr/local/bin
> (and sometimes other strange places).
> 
> That said, I think the /usr/bin/env trick is stupid too. It may be more 
> portable for various Linux distributions, but if you want _true_ 
> portability, you use /bin/sh, and you do something like
> 
> 	#!/bin/sh
> 	exec perl perlscript.pl "$@"
> 
> instead.

Do you know any vaguely Unix-like system where #!/usr/bin/env does not
work?  I don't; I've used it on Solaris, HP-UX, OSF/1...

-- 
Daniel Jacobowitz
CodeSourcery, LLC